Bug 520216 - No pickup from internal microphone, Realtek ALC268
Summary: No pickup from internal microphone, Realtek ALC268
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 00:22 UTC by Mathew Topper
Modified: 2011-06-27 14:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:21:57 UTC
Type: ---


Attachments (Terms of Use)

Description Mathew Topper 2009-08-29 00:22:36 UTC
Description of problem: No sound pickup from the internal microphone of a dell vostro 1310. I believe the driver is intel hda driver and the chip to be Realtek ALC268.

I have attempted a number of fixes such as creating alsa-base.conf and setting options, as well as removing pulseaudio, but to no avail.

Also played around with the mixer in KDE4, but couldn't find setting that would work.

Version-Release number of selected component (if applicable): 11


How reproducible: Using the sound recorder to capture sound from the internal microphone, the playback is always blank.


Steps to Reproduce:
1. Start gnome-sound-recorder. Press record.
2. Make some noise.
3. Press play.
  
Actual results: Output is silent


Expected results: Hear some noise.


Additional info:

Comment 1 Lennart Poettering 2009-08-29 00:48:43 UTC
Does "alsactl init" make this work for you?

Have you played around with "alsamixer -c0"?

Also, if removing PA has no effetc than this shouldn't be filed against PA, should it?

Reassigning to alsa.

Comment 2 Mathew Topper 2009-08-29 08:58:23 UTC
| Does "alsactl init" make this work for you?

> alsactl init
Unknown hardware: "HDA-Intel" "Realtek ALC268" "HDA:10ec0268,1028026f,00100003" "0x1028" "0x026f"
Hardware is initialized using a guess method

| Have you played around with "alsamixer -c0"?

Yes, but to be honest, I've little idea which bits I should be fiddling with. There are 2 captures and mic and front mic. However, nothing produces much more than popping or static.

| Also, if removing PA has no effetc than this shouldn't be filed against PA,
should it?

Apologies. I have misunderstood the role of pulseaudio.

Comment 3 Bug Zapper 2010-04-28 10:03:10 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Mathew Topper 2010-06-15 09:24:00 UTC
Still having problems in Fedora 13. There was a faint recording in cheese, but when I tried to turn up the gain in the KDE mixer and try again, the only audible sound was a lot of popping.

Comment 5 Michael Wiktowy 2010-11-15 03:18:52 UTC
Does the solution in this bug comment help?
https://bugzilla.redhat.com/show_bug.cgi?id=542924#c8

Comment 6 Ludovic 2011-01-30 04:06:24 UTC
(In reply to comment #1)
> Does "alsactl init" make this work for you?
> 
> Have you played around with "alsamixer -c0"?
> 
> Also, if removing PA has no effetc than this shouldn't be filed against PA,
> should it?
> 
> Reassigning to alsa.

I've been "playing around" with "alsamixer -c0" for years now. Sometimes my mic comes to life when I select front mic, sometimes it doesn't. I understand that this is not a PA problem, but an "alsa" problem, but why doest it not work so consistently as years go by? Leonard, are you taking consistent heat for lower level issues? Aren't you tired of this? I'd love to love PA, but I'm going insane playing around with paman, alsamixer, alsamixer -c0, pulseaudio -k, etc to no avail.

Comment 7 Bug Zapper 2011-06-02 17:47:24 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 14:21:57 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.